Subject: bug#19710: closed (Re: bug#19710: 24.4.51; Isearch is broken in comints which relly on regexp)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Feb 2015 01:05:02 +0000

Your bug report

#19710: 24.4.51; Isearch is broken in comints which relly on regexp

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19710: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19710
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19710: 24.4.51; Isearch is broken in comints which relly on regexp
From: Juri Linkov <[email-masked]>
To: Vitalie Spinu <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Feb 2015 02:57:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>  >> Recent changes to commit to allow for multiline search assume fields
>  >> throughout. The common case when comint-use-prompt-regexp is non-nil is
>  >> not captured.
>  >>
>  >> To see the problem start shell and issue a couple of commands. Then
>  >> (setq comint-use-prompt-regexp t), and add a couple of RETs. Then try M-r.
>  >>
>  >> You should see "Regexp history I-search backward:" several lines above
>  >> where it should be and isearch will not work as expected.
>  >>
>  >> If you restart your shell, you will not even see the "Regexp history
>  >> I-search backward:" as there are no fields in the buffer.
>
>  > Thanks for the report.  This can be fixed by the patch that
>  > reverts the change of callers, and instead modifies
>  > `comint-line-beginning-position' to support multi-line input
>  > for both cases of comint-use-prompt-regexp = t/nil:
>
> Thanks Juri, this patch solves the problem indeed.

I fixed this on the emacs-24 branch because bug#19572 backported
previous changes to emacs-24.

Subject: 24.4.51; Isearch is broken in comints which relly on regexp
From: Vitalie Spinu <[email-masked]>
To: [email-masked]
Date: Wed, 28 Jan 2015 10:10:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recent changes to commit to allow for multiline search assume fields
throughout. The common case when comint-use-prompt-regexp is non-nil is
not captured.

To see the problem start shell and issue a couple of commands. Then
(setq comint-use-prompt-regexp t), and add a couple of RETs. Then try M-r.

You should see "Regexp history I-search backward:" several lines above
where it should be and isearch will not work as expected.

If you restart your shell, you will not even see the "Regexp history
I-search backward:" as there are no fields in the buffer.

  Vitalie

-----

In GNU Emacs 24.4.51.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2015-01-28 on galago
Repository revision: 9664defd262252faf037c5fe1ea095f1cc4b308b
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description:	Ubuntu 14.10